Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class MultipartMediaType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.MultipartMediaType

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class MultipartMediaType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Multipart Media Type', and utility methods for working with them. abstDomain: V14850 (C-0-D14824-V14850-cpt)

See Also:
  `CDAR2Package.getMultipartMediaType()`

Field Summary
`static int` | `MULTIPART_XHL7_CDA_LEVEL1` The 'Multipart XHl7 Cda Level1' literal value.
`static MultipartMediaType` | `MULTIPART_XHL7_CDA_LEVEL1_LITERAL` The 'Multipart XHl7 Cda Level1' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Multipart Media Type' enumerators.

Method Summary
`static MultipartMediaType` | `get(int value)` Returns the 'Multipart Media Type' literal with the specified integer value.
`static MultipartMediaType` | `get(java.lang.String literal)` Returns the 'Multipart Media Type' literal with the specified literal value.
`static MultipartMediaType` | `getByName(java.lang.String name)` Returns the 'Multipart Media Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MULTIPART_XHL7_CDA_LEVEL1

    public static final int MULTIPART_XHL7_CDA_LEVEL1

  The 'Multipart XHl7 Cda Level1' literal value.

  If the meaning of 'Multipart XHl7 Cda Level1' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MULTIPART_XHL7_CDA_LEVEL1_LITERAL`, Constant Field Values

### MULTIPART_XHL7_CDA_LEVEL1_LITERAL

    public static final MultipartMediaType MULTIPART_XHL7_CDA_LEVEL1_LITERAL

  The 'Multipart XHl7 Cda Level1' literal object.

  See Also:
    `MULTIPART_XHL7_CDA_LEVEL1`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Multipart Media Type' enumerators.

Method Detail

### get

    public static MultipartMediaType get(java.lang.String literal)

  Returns the 'Multipart Media Type' literal with the specified literal value.

### getByName

    public static MultipartMediaType getByName(java.lang.String name)

  Returns the 'Multipart Media Type' literal with the specified name.

### get

    public static MultipartMediaType get(int value)

  Returns the 'Multipart Media Type' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD